using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 角色授权表单按钮
    /// </summary>
    [Description("角色授权表单按钮")]
	[Redis("ROLE_MENU_PERMISSION_ID")]
	[IgnoreT4]public class T_FM_ROLE_MENU_PERM_BTN : MesEntityBase
	{
		/// <summary>角色授权表单ID</summary>
		[Description("角色授权表单ID")]
		public Guid ROLE_MENU_PERMISSION_ID { get; set; }

		/// <summary>按钮ID</summary>
		[Description("按钮ID")]
		public Guid BTN_ID { get; set; }


		/// <summary>导航：角色授权表单</summary>
		[Description("导航：角色授权表单")]
		public virtual T_FM_ROLE_MENU_PERM Nav_RoleMenuPermission { get; set; }


		/// <summary>导航：按钮</summary>
		[Description("导航：按钮")]
		public virtual T_PF_BTN Nav_Btn { get; set; }
		[Description("菜单ID")]
		[FormFieldTable]
		[FormFieldEdit]
		
		public Guid? MENU_ID { get; set; }
		[Description("角色ID")]
		[FormFieldTable]
		[FormFieldEdit]

		public Guid? ROLE_ID { get; set; }
	}
}
